CIDFontType (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.fonts

## Enum CIDFontType

- java.lang.Object
- - java.lang.Enum<CIDFontType>
  - - org.apache.fop.fonts.CIDFontType

- All Implemented Interfaces:
    Serializable, Comparable<CIDFontType>

      public enum CIDFontType
      extends Enum<CIDFontType>

  This class enumerates all supported CID font types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CIDTYPE0` CID Font Type 0 (based on Type 1 format)
    `CIDTYPE2` CID Font Type 2 (based on TrueType format)

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CIDFontType` | `byName(String name)` Returns the CIDFontType by name.
    `static CIDFontType` | `byValue(int value)` Returns the CID FontType by value.
    `String` | `getName()`
    `int` | `getValue()`
    `static CIDFontType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CIDFontType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CIDTYPE0

          public static final CIDFontType CIDTYPE0

      CID Font Type 0 (based on Type 1 format)

    - #### CIDTYPE2

          public static final CIDFontType CIDTYPE2

      CID Font Type 2 (based on TrueType format)

  - ### Method Detail

    - #### values

          public static CIDFontType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CIDFontType c : CIDFontType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CIDFontType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### byName

          public static CIDFontType byName(String name)

      Returns the CIDFontType by name.
      Parameters:
        `name` - Name of the CID font type to look up
      Returns:
        FontType the CID font type

    - #### byValue

          public static CIDFontType byValue(int value)

      Returns the CID FontType by value.
      Parameters:
        `value` - Value of the CID font type to look up
      Returns:
        FontType the CID font type

    - #### getName

          public String getName()

    - #### getValue

          public int getValue()

Copyright © 2025 Apache Software Foundation. All rights reserved.